package com.rjconsultores.ventaboletos.web.gui.controladores.configuracioneccomerciales;

import java.text.SimpleDateFormat;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.FechamentoParamgeral;

public class FechamentoParamgeralListItemRenderer implements ListitemRenderer {

	@Override
	public void render(Listitem listItem, Object arg1) throws Exception {
		
		FechamentoParamgeral params = (FechamentoParamgeral)arg1;
		
//		private Long fechamentoparamgeralId;
		Listcell idCell =  new Listcell(params.getFechamentoparamgeralId().toString());
		idCell.setParent(listItem);
		
//		private Empresa empresa;
		Listcell empresaCell =  new Listcell(params.getEmpresa().getNombempresa());
		empresaCell.setParent(listItem);
						
//		private String boletoBancoCod;
		Listcell boletoBancoCodCell =  new Listcell(params.getBoletoBancoCod());
		boletoBancoCodCell.setParent(listItem);
		
//		private String boletoBancoAgencia;
		Listcell boletoBancoAgenciaCell =  new Listcell(params.getBoletoBancoAgencia());
		boletoBancoAgenciaCell.setParent(listItem);
		
//		private String boletoBancoConta;
		Listcell boletoBancoContaCell =  new Listcell(params.getBoletoBancoConta());
		boletoBancoContaCell.setParent(listItem);
		
//		private String boletoBancoContaDigito;
		Listcell boletoBancoContaDigitoCell =  new Listcell(params.getBoletoBancoContaDigito());
		boletoBancoContaDigitoCell.setParent(listItem);
		
//		private String boletoBancoCarteira;
		Listcell boletoBancoCarteiraCell =  new Listcell(params.getBoletoBancoCarteira());
		boletoBancoCarteiraCell.setParent(listItem);
		
//		private Integer boletoDiasVenc;
		Listcell boletoDiasVencCell =  new Listcell(params.getBoletoDiasVenc().toString());
		boletoDiasVencCell.setParent(listItem);
		
//		private Date fecmodif;
		SimpleDateFormat sdf = new SimpleDateFormat("dd/MM/yyyy");
		Listcell fecmodifCell =  new Listcell(sdf.format(params.getFecmodif()));
		fecmodifCell.setParent(listItem);
		
		listItem.setAttribute("data", params);
	}

}
